Bug 249370 - www/sogo5 SOGo Version 5 is available
Summary: www/sogo5 SOGo Version 5 is available
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jose Alonso Cardenas Marquez
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-16 11:53 UTC by Lars Liedtke
Modified: 2020-12-28 17:40 UTC (History)
4 users (show)

See Also:


Attachments
Updated Makefile for sogo5 (2.66 KB, text/plain)
2020-09-16 12:10 UTC, Lars Liedtke
no flags Details
attempt at new sogo5 port / shar file (179.73 KB, text/plain)
2020-11-18 17:10 UTC, Martin Waschbüsch
no flags Details
attempt at new sope5 port / shar file (sogo5 dependency) (30.60 KB, text/plain)
2020-12-08 21:57 UTC, Martin Waschbüsch
no flags Details
attempt at new sogo5 port / shar file (take 2) (179.73 KB, text/plain)
2020-12-24 06:14 UTC, Martin Waschbüsch
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lars Liedtke 2020-09-16 11:53:23 UTC
Hey there,

a few Days ago sogo5 has been released https://sogo.nu/download.html. Due to some bugs that are supposed to be fixed in this Version, it would be nice to have that available for testing. However I have not been able to reuse the sogo4(-activesync) Port in order to make a sogo5(-activesync) Port from it. It fails in patching the unit test makefile:

===>  Patching for sogo5-5.0.0
===>  Applying FreeBSD patches for sogo5-5.0.0 from /usr/ports/www/sogo5/files
Ignoring previously applied (or reversed) patch.
1 out of 1 hunks ignored--saving rejects to ActiveSync/GNUmakefile.rej
===>  FAILED Applying FreeBSD patch-ActiveSync_GNUmakefile
===> FAILED to apply cleanly FreeBSD patch(es)  patch-ActiveSync_GNUmakefile

I tried reading the rejection, but I am not firm enough to understand, what's wrong here:

@@ -43,7 +43,10 @@
        -Wall -D_GNU_SOURCE -I../../SOPE/ -I../../SoObjects/ -I../../UI/ -I../../OpenChange
 
 ADDITIONAL_LIB_DIRS += \
-       -L../../SoObjects/SOGo/SOGo.framework/Versions/Current/sogo -L../../SOPE/NGCards/obj -L../../SOPE/GDLContentStore/obj -lSOGo -lNGMime -lNGCards -lGDLContentStore -lNGExtensions -lSBJson -lobjc \
+       -L../../SoObjects/SOGo/SOGo.framework/Versions/Current/sogo -L../../SOPE/NGCards/obj -L../../SOPE/GDLContentStore/obj \
+       -lSOGo -lNGMime -lNGCards -lGDLContentStore -lNGExtensions \
+       -lSBJson -lGDLAccess -lNGObjWeb -lNGStreams -lEOControl -lDOM \
+       -lNGLdap -lobjc \
        -L/usr/local/lib  -lSaxObjC \
        -Wl,-rpath,../../SoObjects/SOGo/SOGo.framework/Versions/Current/sogo -Wl,-rpath,../../SOPE/NGCards/obj -Wl,-rpath,../../SOPE/GDLContentStore/obj
 ADDITIONAL_LDFLAGS += -Wl,--no-as-needed

So some help would be appreciated to build SOGo 5.

Thank you,
Lars
Comment 1 Lars Liedtke 2020-09-16 12:10:44 UTC
Created attachment 218003 [details]
Updated Makefile for sogo5

This is how I upgraded the Makefile
Comment 2 ari 2020-10-28 02:32:10 UTC
You probably want to ask acm@FreeBSD.org for help with this one. And start with removing patch-ActiveSync_GNUmakefile entirely to see if it is still needed.
Comment 3 Martin Waschbüsch 2020-11-18 17:10:16 UTC
Created attachment 219796 [details]
attempt at new sogo5 port / shar file

Attached is an attempt at a new sogo5 port. I had to adjust the pkg-plist as well as adjusting the patch and Makefile. Maybe it could be a starting point?
Comment 4 Martin Waschbüsch 2020-11-18 17:12:29 UTC
I can also give provide the sope5 and sogo5-activesync files (though they are rather straightforward updates from version 4)
Comment 5 Kurt Jaeger freebsd_committer 2020-12-08 20:11:19 UTC
(In reply to Martin Waschbüsch from comment #3)
testbuild with poudriere asks for devel/sope5 -- do you have that one as well ?
Comment 6 Jose Alonso Cardenas Marquez freebsd_committer 2020-12-08 21:45:38 UTC
Hi, I have ready a port of sope/sogo5 but one of them didn't pass qa-test on poudriere. It is a problem similar like PR published in the following url:

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=250495

Be patience, I'll try solve this issue
Comment 7 Martin Waschbüsch 2020-12-08 21:55:14 UTC
(In reply to Kurt Jaeger from comment #5)
sure. I'' attach it. Though, I guess, it should go into its own PR for an updated sope package...
Comment 8 Martin Waschbüsch 2020-12-08 21:57:15 UTC
Created attachment 220377 [details]
attempt at new sope5 port / shar file (sogo5 dependency)
Comment 9 Kurt Jaeger freebsd_committer 2020-12-09 19:25:34 UTC
sope5 and sogo5 build on current, other version@work
Comment 10 Kurt Jaeger freebsd_committer 2020-12-10 06:23:29 UTC
testbuilds look fine
Comment 11 Jose Alonso Cardenas Marquez freebsd_committer 2020-12-15 07:20:02 UTC
(In reply to Kurt Jaeger from comment #10)

It is strange, my poudriere box failed in qa-test because some wrkdirs reference is included into sogo library

====> Compressing man pages (compress-man)
===> Staging rc.d startup script(s)
===>   Installing ldconfig configuration file
===========================================================================
====> Running Q/A tests (stage-qa)
Error: 'GNUstep/Local/Library/Frameworks/SOGo.framework/Versions/5/sogo/libSOGo.so.5.0.1' is referring to /wrkdirs/usr/ports/www/sogo/work/stage
*** Error code 1

Stop.
make: stopped in /usr/ports/www/sogo
=>> Error: stage-qa failures detected

Could you show me you poudriere build log?
Comment 12 Kurt Jaeger freebsd_committer 2020-12-15 18:55:37 UTC
(In reply to Jose Alonso Cardenas Marquez from comment #11)
https://people.freebsd.org/~pi/logs/www__sogo5-XXX-1607539653.txt

with XXX for 114, 122, cur, curi.

It failed on curi (i386) and 114.
Comment 13 Martin Waschbüsch 2020-12-21 08:31:38 UTC
(In reply to Kurt Jaeger from comment #12)

What exactly is it, that stage-qa tests?

https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/porting-prefix.html
tells me that

"stage-qa checks for common problems like bad shebang, symlinks pointing outside the stage directory, setuid files, and non-stripped libraries..."

From the error message, I guess it is a 'symlinks pointing outside the stage directory' type error, but I could not identify any such situation.
I kept the workdir with testport -w and looked at that, but did not find a reason.


(Btw., since I had, initially, successfully tested the port with poudriere testport etc., I am using it in production and there have been no issues so far).
Comment 14 Jose Alonso Cardenas Marquez freebsd_committer 2020-12-24 01:56:56 UTC
(In reply to Martin Waschbüsch from comment #13)

Martin, take a look at https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=250495
Comment 15 Martin Waschbüsch 2020-12-24 05:43:48 UTC
(In reply to Jose Alonso Cardenas Marquez from comment #14)
Ah, ok! In

work/SOGo-5.0.1/general.make

it says this (among other stuff):

ifeq ($(debug),yes)
ADDITIONAL_OBJCFLAGS=-O0
else
ADDITIONAL_OBJCFLAGS=-Wuninitialized
endif
# Ensure we store in the ELF files minimal debugging
# information plus the compiler flags used; that can
# be afterwards read with:
# readelf -p .GCC.command.line /path/to/elf_file
ADDITIONAL_OBJCFLAGS += -g $(call cc-option,-frecord-gcc-switches)

Now the question is: Does that serve any purpose beyond debugging? It seems strange that this is specifically enabled outside of

ifeq ($(debug),yes)
 ...
endif
Comment 16 Martin Waschbüsch 2020-12-24 05:48:50 UTC
(In reply to Martin Waschbüsch from comment #15)
It seems not:

https://github.com/inverse-inc/sogo/commit/04d12f52f81c4929b37f26e4e24edbbaf636a5ea#diff-75a2ef669be3af6511a265913857936c05f71b11a8464b3e279501b1a43c5895

added the the debugging information with the explicit comment:
"Also store GCC command-line switches in the binaries for easier debugging."
Comment 17 Martin Waschbüsch 2020-12-24 06:14:57 UTC
Created attachment 220881 [details]
attempt at new sogo5 port / shar file (take 2)

Try this one.
Comment 18 commit-hook freebsd_committer 2020-12-24 17:47:11 UTC
A commit references this bug:

Author: acm
Date: Thu Dec 24 17:46:49 UTC 2020
New revision: 559174
URL: https://svnweb.freebsd.org/changeset/ports/559174

Log:
  - New port: devel/sope (version 5)

  SOPE is an extensive set of frameworks which form a complete Web
  application server environment. Besides the Apple WebObjects
  compatible appserver extended with Zope concepts, it contains a large
  set of reusable classes: XML processing (SAX, DOM, XML-RPC),
  MIME/IMAP4 processing, LDAP connectivity, RDBMS connectivity, and
  iCalendar parsing.

  WWW: https://sogo.nu/

  PR:		249370
  Submitted by:	Lars Liedtke <liedtke at  punkt.de>

Changes:
  head/devel/sope/
  head/devel/sope/Makefile
  head/devel/sope/distinfo
  head/devel/sope/pkg-descr
Comment 19 commit-hook freebsd_committer 2020-12-24 17:50:14 UTC
A commit references this bug:

Author: acm
Date: Thu Dec 24 17:50:06 UTC 2020
New revision: 559175
URL: https://svnweb.freebsd.org/changeset/ports/559175

Log:
  - New port: www/sogo

  SOGo is a fully supported and trusted groupware server with a focus on
  scalability and open standards. It provides a rich AJAX-based Web
  interface and supports multiple native clients through the use of
  standard protocols such as CalDAV, CardDAV and GroupDAV.

  WWW: https://sogo.nu/

  PR:		249370
  Submitted by:	Lars Liedtke <liedtke  at  punkt.de>

Changes:
  head/www/sogo/
  head/www/sogo/Makefile
  head/www/sogo/distinfo
  head/www/sogo/files/patch-Tests_Unit_GNUmakefile
  head/www/sogo/files/patch-general.make
  head/www/sogo/pkg-descr
  head/www/sogo/pkg-plist
Comment 20 Jose Alonso Cardenas Marquez freebsd_committer 2020-12-24 17:58:33 UTC
- Committed with some modifications. I added SAML2 and MFA support. patch-general.make solved qa-test issues. Thanks for your information about that. I added them like sope and sogo because SOGo project just maintain two version of sogo right now. I'll mark sope4/sogo4 like deprecated. Thanks again
Comment 21 Kurt Jaeger freebsd_committer 2020-12-24 22:35:32 UTC
There's an old entry in MOVED:

www/sogo|www/sogo2|2016-05-02|Renamed to www/sogo2

This should be removed, please.
Comment 22 commit-hook freebsd_committer 2020-12-26 10:04:56 UTC
A commit references this bug:

Author: pi
Date: Sat Dec 26 10:04:37 UTC 2020
New revision: 559277
URL: https://svnweb.freebsd.org/changeset/ports/559277

Log:
  MOVED: www/sogo was resurrected as new sogo version 5

  PR:		249370

Changes:
  head/MOVED
Comment 23 Martin Waschbüsch 2020-12-28 17:23:51 UTC
(In reply to commit-hook from comment #22)

The same is true for

devel/sope|devel/sope2|2016-05-02|Renamed to devel/sope2

and

www/sogo-activesync|www/sogo2-activesync|2016-05-02|Renamed to www/sogo2-activesync

They are also still present in MOVED.

If you could change those, too, please? That'd be awesome!
Comment 24 commit-hook freebsd_committer 2020-12-28 17:40:02 UTC
A commit references this bug:

Author: pi
Date: Mon Dec 28 17:39:47 UTC 2020
New revision: 559513
URL: https://svnweb.freebsd.org/changeset/ports/559513

Log:
  MOVED: fix after devel/sope and www/sogo-activesync re-creation

  PR:		249370
  Submitted by:	Martin Waschb?sch <martin@waschbuesch.de>

Changes:
  head/MOVED